searchNodes=[{"doc":"Extracts all /Info and /Metadata objects from a PDF binary using Regex and without any external dependencies.","ref":"PDFInfo.html","title":"PDFInfo","type":"module"},{"doc":"Returns a list of /Encrypt reference strings.Examplesiex&gt; PDFInfo.encrypt_refs(binary) [&quot;/Encrypt 52 0 R&quot;]","ref":"PDFInfo.html#encrypt_refs/1","title":"PDFInfo.encrypt_refs/1","type":"function"},{"doc":"Maps /Info reference strings to objects and parses the objects.Examplesiex&gt; PDFInfo.info_objects(binary) %{ &quot;/Info 1 0 R&quot; =&gt; [ %{ &quot;Author&quot; =&gt; &quot;The PostgreSQL Global Development Group&quot;, &quot;CreationDate&quot; =&gt; &quot;D:20200212212756Z&quot;, ... } ] }","ref":"PDFInfo.html#info_objects/1","title":"PDFInfo.info_objects/1","type":"function"},{"doc":"Returns a list of /Info reference strings.Examplesiex&gt; PDFInfo.info_refs(binary) [&quot;/Info 1 0 R&quot;]","ref":"PDFInfo.html#info_refs/1","title":"PDFInfo.info_refs/1","type":"function"},{"doc":"Returns true if PDF has at least one /Encrypt reference. Returns false if PDF has no /Encrypt reference.","ref":"PDFInfo.html#is_encrypted?/1","title":"PDFInfo.is_encrypted?/1","type":"function"},{"doc":"Checks if the binary starts with the PDF header.Returns true if the binary starts with the PDF header. Returns false otherwise.","ref":"PDFInfo.html#is_pdf?/1","title":"PDFInfo.is_pdf?/1","type":"function"},{"doc":"Maps /Metadata reference strings to objects and parses the objects.Examplesiex&gt; PDFInfo.metadata_objects(binary) %{ &quot;/Metadata 285 0 R&quot; =&gt; [ %{ {&quot;dc&quot;, &quot;format&quot;} =&gt; &quot;application/pdf&quot;, {&quot;pdf&quot;, &quot;Producer&quot;} =&gt; &quot;Adobe PDF Library 15.0&quot;, {&quot;xmp&quot;, &quot;CreateDate&quot;} =&gt; &quot;2018-06-06T17:02:53+02:00&quot;, {&quot;xmp&quot;, &quot;CreatorTool&quot;} =&gt; &quot;Acrobat PDFMaker 17 für Word&quot;, {&quot;xmp&quot;, &quot;MetadataDate&quot;} =&gt; &quot;2018-06-06T17:03:13+02:00&quot;, {&quot;xmp&quot;, &quot;ModifyDate&quot;} =&gt; &quot;2018-06-06T17:03:13+02:00&quot;, ... } ] }","ref":"PDFInfo.html#metadata_objects/1","title":"PDFInfo.metadata_objects/1","type":"function"},{"doc":"Returns a list of /Metadata reference strings.Examplesiex&gt; PDFInfo.metadata_refs(binary) [&quot;/Metadata 5 0 R&quot;]","ref":"PDFInfo.html#metadata_refs/1","title":"PDFInfo.metadata_refs/1","type":"function"},{"doc":"Extracts PDF version from the PDF header.Returns {:ok, version} if the PDF header is correct. Returns :error if the PDF header is incorrect.Examplesiex&gt; PDFInfo.pdf_version(binary) {:ok, &quot;1.5&quot;} iex&gt; PDFInfo.pdf_version(&quot;not a pdf&quot;) :error","ref":"PDFInfo.html#pdf_version/1","title":"PDFInfo.pdf_version/1","type":"function"},{"doc":"Maps the /Info reference strings to the raw objects.Examplesiex&gt; PDFInfo.raw_info_objects(binary) %{&quot;/Info 1 0 R&quot; =&gt; [&quot;1 0 obj &lt;&lt;...&quot;]}","ref":"PDFInfo.html#raw_info_objects/1","title":"PDFInfo.raw_info_objects/1","type":"function"},{"doc":"Maps the /Metadata reference strings to the raw objects.Examplesiex&gt; PDFInfo.raw_metadata_objects(binary) [&quot;&lt;x:xmpmeta&quot; &lt;&gt; ...]","ref":"PDFInfo.html#raw_metadata_objects/1","title":"PDFInfo.raw_metadata_objects/1","type":"function"}]